Apache Tomcat 7.0.42

## org.apache.el.parser
Class BooleanNode

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.BooleanNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  AstAnd, AstEqual, AstFalse, AstGreaterThan, AstGreaterThanEqual, AstLessThan, AstLessThanEqual, AstNotEqual, AstOr, AstTrue

    public class BooleanNode

extends SimpleNode

Version:
  $Id: BooleanNode.java 939311 2010-04-29 14:01:02Z kkolinko $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`BooleanNode(int i)`

Method Summary
`Class<?>` `getType(EvaluationContext ctx)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, equals, getImage, getMethodInfo, getValue, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanNode

    public BooleanNode(int i)

Parameters:
  `i` -

Method Detail

### getType

    public Class<?> getType(EvaluationContext ctx)
                     throws ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `ELException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.